netCDF::NcGroup Class Reference

`#include <ncGroup.h>`

Inheritance diagram for netCDF::NcGroup:
[legend]

## Public Types

enum | GroupLocation { ChildrenGrps , ParentsGrps , ChildrenOfChildrenGrps , AllChildrenGrps , ParentsAndCurrentGrps , AllGrps }
enum | Location { Current , Parents , Children , ParentsAndCurrent , ChildrenAndCurrent , All }

## Public Member Functions

NcCompoundType | addCompoundType (const std::string &name, size_t size) const
NcDim | addDim (const std::string &name) const
NcDim | addDim (const std::string &name, size_t dimSize) const
NcEnumType | addEnumType (const std::string &name, NcEnumType::ncEnumType basetype) const
NcGroup | addGroup (const std::string &name) const
NcOpaqueType | addOpaqueType (const std::string &name, size_t size) const
NcVar | addVar (const std::string &name, const NcType &ncType) const
NcVar | addVar (const std::string &name, const NcType &ncType, const NcDim &ncDim) const
NcVar | addVar (const std::string &name, const NcType &ncType, const std::vector< NcDim > &ncDimVector) const
NcVar | addVar (const std::string &name, const std::string &typeName, const std::string &dimName) const
NcVar | addVar (const std::string &name, const std::string &typeName, const std::vector< std::string > &dimNames) const
NcVlenType | addVlenType (const std::string &name, NcType &basetype) const
NcGroupAtt | getAtt (const std::string &name, NcGroup::Location location=Current) const
int | getAttCount (NcGroup::Location location=Current) const
std::set< NcGroupAtt > | getAtts (const std::string &name, NcGroup::Location location=Current) const
std::multimap< std::string, NcGroupAtt > | getAtts (NcGroup::Location location=Current) const
void | getCoordVar (std::string &coordVarName, NcDim &ncDim, NcVar &ncVar, NcGroup::Location location=Current) const
std::map< std::string, NcGroup > | getCoordVars (NcGroup::Location location=Current) const
NcDim | getDim (const std::string &name, NcGroup::Location location=Current) const
int | getDimCount (NcGroup::Location location=Current) const
std::set< NcDim > | getDims (const std::string &name, NcGroup::Location location=Current) const
std::multimap< std::string, NcDim > | getDims (NcGroup::Location location=Current) const
NcGroup | getGroup (const std::string &name, NcGroup::GroupLocation location=ChildrenGrps) const
int | getGroupCount (NcGroup::GroupLocation location=ChildrenGrps) const
std::set< NcGroup > | getGroups (const std::string &name, NcGroup::GroupLocation location=ChildrenGrps) const
std::multimap< std::string, NcGroup > | getGroups (NcGroup::GroupLocation location=ChildrenGrps) const
int | getId () const
std::string | getName (bool fullName=false) const
NcGroup | getParentGroup () const
NcType | getType (const std::string &name, NcGroup::Location location=Current) const
int | getTypeCount (NcGroup::Location location=Current) const
int | getTypeCount (NcType::ncType enumType, NcGroup::Location location=Current) const
std::set< NcType > | getTypes (const std::string &name, NcGroup::Location location=Current) const
std::set< NcType > | getTypes (const std::string &name, NcType::ncType enumType, NcGroup::Location location=Current) const
std::multimap< std::string, NcType > | getTypes (NcGroup::Location location=Current) const
std::set< NcType > | getTypes (NcType::ncType enumType, NcGroup::Location location=Current) const
NcVar | getVar (const std::string &name, NcGroup::Location location=Current) const
int | getVarCount (NcGroup::Location location=Current) const
std::set< NcVar > | getVars (const std::string &name, NcGroup::Location location=Current) const
std::multimap< std::string, NcVar > | getVars (NcGroup::Location location=Current) const
bool | isNull () const
bool | isRootGroup () const
| NcGroup ()
| NcGroup (const NcGroup &rhs)
bool | operator!= (const NcGroup &rhs) const
NcGroup & | operator= (const NcGroup &rhs)
bool | operator== (const NcGroup &rhs) const
NcGroupAtt | putAtt (const std::string &name, const NcType &type, double datumValue) const
NcGroupAtt | putAtt (const std::string &name, const NcType &type, float datumValue) const
NcGroupAtt | putAtt (const std::string &name, const NcType &type, int datumValue) const
NcGroupAtt | putAtt (const std::string &name, const NcType &type, long datumValue) const
NcGroupAtt | putAtt (const std::string &name, const NcType &type, long long datumValue) const
NcGroupAtt | putAtt (const std::string &name, const NcType &type, short datumValue) const
NcGroupAtt | putAtt (const std::string &name, const NcType &type, size_t len, const double *dataValues) const
NcGroupAtt | putAtt (const std::string &name, const NcType &type, size_t len, const float *dataValues) const
NcGroupAtt | putAtt (const std::string &name, const NcType &type, size_t len, const int *dataValues) const
NcGroupAtt | putAtt (const std::string &name, const NcType &type, size_t len, const long *dataValues) const
NcGroupAtt | putAtt (const std::string &name, const NcType &type, size_t len, const long long *dataValues) const
NcGroupAtt | putAtt (const std::string &name, const NcType &type, size_t len, const short *dataValues) const
NcGroupAtt | putAtt (const std::string &name, const NcType &type, size_t len, const signed char *dataValues) const
NcGroupAtt | putAtt (const std::string &name, const NcType &type, size_t len, const unsigned char *dataValues) const
NcGroupAtt | putAtt (const std::string &name, const NcType &type, size_t len, const unsigned int *dataValues) const
NcGroupAtt | putAtt (const std::string &name, const NcType &type, size_t len, const unsigned long long *dataValues) const
NcGroupAtt | putAtt (const std::string &name, const NcType &type, size_t len, const unsigned short *dataValues) const
NcGroupAtt | putAtt (const std::string &name, const NcType &type, size_t len, const void *dataValues) const
NcGroupAtt | putAtt (const std::string &name, const NcType &type, unsigned int datumValue) const
NcGroupAtt | putAtt (const std::string &name, const NcType &type, unsigned long long datumValue) const
NcGroupAtt | putAtt (const std::string &name, const NcType &type, unsigned short datumValue) const
NcGroupAtt | putAtt (const std::string &name, const std::string &dataValues) const
NcGroupAtt | putAtt (const std::string &name, size_t len, const char **dataValues) const
virtual | ~NcGroup ()

## Protected Attributes

bool | nullObject

## Friends

bool | operator< (const NcGroup &lhs, const NcGroup &rhs)
bool | operator> (const NcGroup &lhs, const NcGroup &rhs)

## Detailed Description

Class represents a netCDF group.

## Member Enumeration Documentation

## GroupLocation

enum netCDF::NcGroup::GroupLocation

The enumeration list contains the options for selecting groups (used for returned set of NcGroup objects).

Enumerator
ChildrenGrps | Select from the set of children in the current group.
ParentsGrps | Select from set of parent groups (excludes the current group).
ChildrenOfChildrenGrps | Select from set of all children of children in the current group.
AllChildrenGrps | Select from set of all children of the current group and beneath.
ParentsAndCurrentGrps | Select from set of parent groups(includes the current group).
AllGrps | Select from set of parent groups, current groups and all the children beneath.

## Location

enum netCDF::NcGroup::Location

The enumeration list contains the options for selecting groups.

Enumerator
Current | Select from contents of current group.
Parents | Select from contents of parents groups.
Children | Select from contents of children groups.
ParentsAndCurrent | Select from contents of current and parents groups.
ChildrenAndCurrent | Select from contents of current and child groups.
All | Select from contents of current, parents and child groups.

## Constructor & Destructor Documentation

## NcGroup() [1/2]

NcGroup::NcGroup | ( |  | ) |

Constructor generates a null object.

## NcGroup() [2/2]

NcGroup::NcGroup | ( | const NcGroup & | rhs | ) |

The copy constructor.

## ~NcGroup()

NcGroup::~NcGroup | ( |  | ) |

virtual

destructor

## Member Function Documentation

## addCompoundType()

NcCompoundType NcGroup::addCompoundType | ( | const std::string & | name,
|  | size_t | size ) const

Adds a new netCDF UserDefined type.

Parameters

  name | Name of type.
  size | The size of the new type in bytes.

Returns
  The new NcCompoundType object for this new netCDF userDefined type.

## addDim() [1/2]

NcDim netCDF::NcGroup::addDim | ( | const std::string & | name | ) | const

Adds a new unlimited netCDF dimension.

Parameters

  The | name of new dimension.

Returns
  The NcDim object for this new netCDF dimension.

## addDim() [2/2]

NcDim netCDF::NcGroup::addDim | ( | const std::string & | name,
|  | size_t | dimSize ) const

Adds a new netCDF dimension.

Parameters

  The | name of new dimension.
  Length | of dimension; that is, number of values for this dimension as an index to variables that use it.

Returns
  The NcDim object for this new netCDF dimension.

## addEnumType()

NcEnumType NcGroup::addEnumType | ( | const std::string & | name,
|  | NcEnumType::ncEnumType | basetype ) const

Adds a new netCDF enum type.

Parameters

  name | Name of type. For atomic types, the CDL name is expected. This is consistent with the string returned from NcType::getName().
  enumType | The enumeration value of the object type.

Returns
  The NcEnumType object for this new netCDF enum type.

## addGroup()

NcGroup NcGroup::addGroup | ( | const std::string & | name | ) | const

Adds a new child netCDF group object. Method will throw an netCDF::exceptions::NcNullgrp exception if the group is null (ie NcGroup::isNull()=true).

Parameters

  name | Variable name.

Returns
  NcGroup The NcGroup object for this new netCDF group.

## addOpaqueType()

NcOpaqueType NcGroup::addOpaqueType | ( | const std::string & | name,
|  | size_t | size ) const

Adds a new netCDF Opaque type.

Parameters

  name | Name of type.
  size | The size of the new type in bytes.

Returns
  The NcOpaqueType object for this new netCDF opaque type..

## addVar() [1/5]

NcVar NcGroup::addVar | ( | const std::string & | name,
|  | const NcType & | ncType ) const

Adds a new netCDF scalar variable. The NcType must be non-null, and be defined in either the current group or a parent group. An NcNullType exception is thrown if the NcType object is invalid.

Parameters

  name | Variable name.
  typeName | Type name.

Returns
  The NcVar object for this new netCDF variable.

## addVar() [2/5]

NcVar netCDF::NcGroup::addVar | ( | const std::string & | name,
|  | const NcType & | ncType,
|  | const NcDim & | ncDim ) const

Adds a new netCDF variable. The NcType and NcDim objects must be non-null, and be defined in either the current group or a parent group. An NcNullType exception is thrown if the NcType object is invalid. An NcNullDim exception is thrown if the NcDim object is invalid.

Parameters

  name | Variable name.
  ncType | NcType object.
  ncDim | NcDim object.

Returns
  The NcVar object for this new netCDF variable.

## addVar() [3/5]

NcVar netCDF::NcGroup::addVar | ( | const std::string & | name,
|  | const NcType & | ncType,
|  | const std::vector< NcDim > & | ncDimVector ) const

Adds a new multi-dimensional netCDF variable. The NcType and NcDim objects must be non-null, and be defined in either the current group or a parent group. An NcNullType exception is thrown if the NcType object is invalid. An NcNullDim exception is thrown if any of the the NcDim objects are invalid.

Parameters

  name | Variable name.
  ncType | NcType object.
  ncDimvector | Vector of NcDim objects.

Returns
  The NcVar object for this new netCDF variable.

## addVar() [4/5]

NcVar netCDF::NcGroup::addVar | ( | const std::string & | name,
|  | const std::string & | typeName,
|  | const std::string & | dimName ) const

Adds a new netCDF variable. The NcType and NcDim objects must be non-null, and be defined in either the current group or a parent group. An NcNullType exception is thrown if the NcType object is invalid. An NcNullDim exception is thrown if the NcDim object is invalid.

Parameters

  name | Variable name.
  typeName | Type name.
  dimName | Dimension name.

Returns
  The NcVar object for this new netCDF variable.

## addVar() [5/5]

NcVar netCDF::NcGroup::addVar | ( | const std::string & | name,
|  | const std::string & | typeName,
|  | const std::vector< std::string > & | dimNames ) const

Adds a new netCDF multi-dimensional variable. The NcType and NcDim objects must be non-null, and be defined in either the current group or a parent group. An NcNullType exception is thrown if the NcType object is invalid. An NcNullDim exception is thrown if the NcDim object is invalid.

Parameters

  name | Variable name.
  typeName | Type name.
  dimNames | Vector of dimension names.

Returns
  The NcVar object for this new netCDF variable.

## addVlenType()

NcVlenType NcGroup::addVlenType | ( | const std::string & | name,
|  | NcType & | basetype ) const

Adds a new netCDF Vlen type.

Parameters

  name | Name of type.
  basetype | A NcType object to be used for the basetype.

Returns
  The NcVlenType object for this new netCDF vlen type.

## getAtt()

NcGroupAtt NcGroup::getAtt | ( | const std::string & | name,
|  | NcGroup::Location | location = Current ) const

Gets the named NcGroupAtt object.

Parameters

  name | Name of attribute
  location | Enumeration type controlling the groups to search.

Returns
  A NcGroupAtt object. If there are multiple objects indentied with the same name, the object closest to the current group is returned. If no valid object is found , a null node is returned.

## getAttCount()

int NcGroup::getAttCount | ( | NcGroup::Location | location = Current | ) | const

Gets the number of group attributes.

Parameters

  location | Enumeration type controlling the groups to search.

Returns
  Number of attributes.

## getAtts() [1/2]

std::set< NcGroupAtt > netCDF::NcGroup::getAtts | ( | const std::string & | name,
|  | NcGroup::Location | location = Current ) const

Gets all NcGroupAtt objects with a given name.

Parameters

  name | Name of attribute
  location | Enumeration type controlling the groups to search.

Returns
  Set of NcGroupAtt objects.

## getAtts() [2/2]

multimap< std::string, NcGroupAtt > NcGroup::getAtts | ( | NcGroup::Location | location = Current | ) | const

Gets the collection of NcGroupAtt objects.

Parameters

  location | Enumeration type controlling the groups to search.

Returns
  A STL multimap object, containing pairs of <attribute name, NcGroupAtt object> entities.

## getCoordVar()

void NcGroup::getCoordVar | ( | std::string & | coordVarName,
|  | NcDim & | ncDim,
|  | NcVar & | ncVar,
|  | NcGroup::Location | location = Current ) const

Gets the NcDim and NcVar object pair for a named coordinate variable. Coordinate variable have an NcDim and NcVar object with the same name defined in the same group.

  The method returns two objects for the named coordinate variable. The method searches first in the current group and optionally in the parent and child group and returns the first instance found.

Parameters

  location | Enumeration type controlling the groups to search.

Returns
  The set of names of dimension variables.

## getCoordVars()

map< string, NcGroup > NcGroup::getCoordVars | ( | NcGroup::Location | location = Current | ) | const

Gets a collection of coordinate variables. Coordinate variable have an NcDim and NcVar object with the same name defined in the same group.

  The method returns STL map object containing a coordinate variables in the current group and optionally in the parent and child groups. It is expected that within each group, the names of dimensions are unique and the the names of variables are unique. However, if this is not the case, this method will still work correctly.

Parameters

  location | Enumeration type controlling the groups to search.

Returns
  The NcVar dimension variable. If no valid object is found , a null node is returned.

## getDim()

NcDim NcGroup::getDim | ( | const std::string & | name,
|  | NcGroup::Location | location = Current ) const

Gets the named NcDim object.

Parameters

  name | Name of dimension.
  location | Enumeration type controlling the groups to search.

Returns
  An NcDim object. If there are multiple objects indentied with the same name, the object closest to the current group is returned. If no valid object is found , a null node is returned.

## getDimCount()

int NcGroup::getDimCount | ( | NcGroup::Location | location = Current | ) | const

Gets the number of NcDim objects.

Parameters

  location | Enumeration type controlling the groups to search.

Returns
  Number of dimensions.

## getDims() [1/2]

std::set< NcDim > netCDF::NcGroup::getDims | ( | const std::string & | name,
|  | NcGroup::Location | location = Current ) const

Gets NcDim objects with a given name.

Parameters

  name | Name of dimension.
  location | Enumeration type controlling the groups to search.

Returns
  Set of NcDim objects with given name.

## getDims() [2/2]

multimap< string, NcDim > NcGroup::getDims | ( | NcGroup::Location | location = Current | ) | const

Gets the collection of NcDim objects.

Parameters

  location | Enumeration type controlling the groups to search.

Returns
  A STL multimap object, containing pairs of <attribute name, NcDim object> entities.

## getGroup()

NcGroup NcGroup::getGroup | ( | const std::string & | name,
|  | NcGroup::GroupLocation | location = ChildrenGrps ) const

Gets the named child NcGroup object. Method will throw an netCDF::exceptions::NcNullgrp exception if the group is null (ie NcGroup::isNull()=true).

Parameters

  name | Group name.
  location | Enumeration type controlling the groups to search.

Returns
  An NcGroup object. If there are multiple objects indentied with the same name, the object closest to the current group is returned. If no valid object is found , a null node is returned.

## getGroupCount()

int NcGroup::getGroupCount | ( | NcGroup::GroupLocation | location = ChildrenGrps | ) | const

Gets the number of NcGroup objects. Method will throw an netCDF::exceptions::NcNullgrp exception if the group is null (ie NcGroup::isNull()=true).

Parameters

  location | Enumeration type controlling the groups to search.

Returns
  Number of groups.

## getGroups() [1/2]

set< NcGroup > NcGroup::getGroups | ( | const std::string & | name,
|  | NcGroup::GroupLocation | location = ChildrenGrps ) const

Gets NcGroup objects with a given name. Method will throw an netCDF::exceptions::NcNullgrp exception if the group is null (ie NcGroup::isNull()=true).

Parameters

  name | Name of group.
  location | Enumeration type controlling the groups to search.

Returns
  Set of NcGroup objects with given name.

## getGroups() [2/2]

multimap< std::string, NcGroup > NcGroup::getGroups | ( | NcGroup::GroupLocation | location = ChildrenGrps | ) | const

Gets the collection of NcGroup objects. Method will throw an netCDF::exceptions::NcNullgrp exception if the group is null (ie NcGroup::isNull()=true).

Parameters

  location | Enumeration type controlling the groups to search.

Returns
  A STL multimap object, containing pairs of <attribute name, NcGroup object> entities.

## getId()

int NcGroup::getId | ( |  | ) | const

Gets the group id. Method will throw an netCDF::exceptions::NcNullgrp exception if the group is null (ie NcGroup::isNull()=true).

## getName()

string NcGroup::getName | ( | bool | fullName = false | ) | const

Gets the group name.

Method will throw an netCDF::exceptions::NcNullgrp exception if the group is null (ie NcGroup::isNull()=true).

Parameters

  fullName | If true then the full name is returned with subgroups separated by a forward slash "/" (default is false)

Returns
  The group name.

## getParentGroup()

NcGroup NcGroup::getParentGroup | ( |  | ) | const

Gets the parent group. Method will throw an netCDF::exceptions::NcNullgrp exception if the group is null (ie NcGroup::isNull()=true). If the current root is the parent group, then return a null group.

## getType()

NcType NcGroup::getType | ( | const std::string & | name,
|  | NcGroup::Location | location = Current ) const

Gets the NcType object with a given name.

Parameters

  name | Name of type. For atomic types, the CDL name is expected. This is consistent with the string returned from NcType::getName().
  location | Enumeration type controlling the groups to search.

Returns
  NcType object. If there are multiple objects indentied with the same name, the object closest to the current group is returned. If no valid object is found , a null node is returned.

## getTypeCount() [1/2]

int NcGroup::getTypeCount | ( | NcGroup::Location | location = Current | ) | const

Gets the number of type objects.

Parameters

  location | Enumeration type controlling the groups to search.

Returns
  Number of types.

## getTypeCount() [2/2]

int NcGroup::getTypeCount | ( | NcType::ncType | enumType,
|  | NcGroup::Location | location = Current ) const

Gets the number of type objects with a given enumeration type.

Parameters

  enumType | The enumeration value of the object type.
  location | Enumeration type controlling the groups to search.

Returns
  Number of types of the given enumeration type.

## getTypes() [1/4]

std::set< NcType > netCDF::NcGroup::getTypes | ( | const std::string & | name,
|  | NcGroup::Location | location = Current ) const

Gets the collection of NcType objects with a given name.

Parameters

  name | Name of type. For atomic types, the CDL name is expected. This is consistent with the string returned from NcType::getName().
  location | Enumeration type controlling the groups to search.

Returns
  Set of NcType objects.

## getTypes() [2/4]

std::set< NcType > netCDF::NcGroup::getTypes | ( | const std::string & | name,
|  | NcType::ncType | enumType,
|  | NcGroup::Location | location = Current ) const

Gets the collection of NcType objects with a given name and data type.

Parameters

  name | Name of type. For atomic types, the CDL name is expected. This is consistent with the string returned from NcType::getName().
  enumType | Enumeration type specifying the data type.
  location | Enumeration type controlling the groups to search.

Returns
  Set of Nctype objects.

## getTypes() [3/4]

multimap< string, NcType > NcGroup::getTypes | ( | NcGroup::Location | location = Current | ) | const

Gets the collection of NcType objects.

Parameters

  location | Enumeration type controlling the groups to search.

Returns
  A STL multimap object, on return contains pairs of <Type name, NcType object> entities. For atomic types, the type returned is the CDL name.

## getTypes() [4/4]

set< NcType > NcGroup::getTypes | ( | NcType::ncType | enumType,
|  | NcGroup::Location | location = Current ) const

Gets the collection of NcType objects with a given data type.

Parameters

  enumType | Enumeration type specifying the data type.
  location | Enumeration type controlling the groups to search.

Returns
  Set of Nctype objects.

## getVar()

NcVar NcGroup::getVar | ( | const std::string & | name,
|  | NcGroup::Location | location = Current ) const

Gets the named NcVar object..

Parameters

  name | Variable name.
  location | Enumeration type controlling the groups to search.

Returns
  A NcVar object. If there are multiple objects indentied with the same name, the object closest to the current group is returned. If no valid object is found , a null node is returned.

## getVarCount()

int NcGroup::getVarCount | ( | NcGroup::Location | location = Current | ) | const

Gets the number of NcVar objects in this group.

Parameters

  location | Enumeration type controlling the groups to search.

Returns
  Number of variables.

## getVars() [1/2]

std::set< NcVar > netCDF::NcGroup::getVars | ( | const std::string & | name,
|  | NcGroup::Location | location = Current ) const

Gets all NcVar objects with a given name.

Parameters

  name | Name of attribute
  location | Enumeration type controlling the groups to search.

Returns
  Set of NcVar objects.

## getVars() [2/2]

multimap< std::string, NcVar > NcGroup::getVars | ( | NcGroup::Location | location = Current | ) | const

Get the collection of NcVar objects.

Parameters

  location | Enumeration type controlling the groups to search.

Returns
  A STL multimap object, containing pairs of <attribute name, NcVar object> entities.

## isNull()

bool netCDF::NcGroup::isNull | ( |  | ) | const

inline

Returns true if this object is null (i.e. it has no contents); otherwise returns false.

## isRootGroup()

bool NcGroup::isRootGroup | ( |  | ) | const

Returns true if this is the root group, otherwise returns false.

## operator!=()

bool NcGroup::operator!= | ( | const NcGroup & | rhs | ) | const

!= operator

## operator=()

NcGroup & NcGroup::operator= | ( | const NcGroup & | rhs | ) |

assignment operator

## operator==()

bool NcGroup::operator== | ( | const NcGroup & | rhs | ) | const

equivalence operator

## putAtt() [1/23]

NcGroupAtt netCDF::NcGroup::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | double | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [2/23]

NcGroupAtt netCDF::NcGroup::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | float | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [3/23]

NcGroupAtt netCDF::NcGroup::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | int | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [4/23]

NcGroupAtt netCDF::NcGroup::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | long | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [5/23]

NcGroupAtt netCDF::NcGroup::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | long long | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [6/23]

NcGroupAtt netCDF::NcGroup::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | short | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [7/23]

NcGroupAtt netCDF::NcGroup::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const double * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [8/23]

NcGroupAtt netCDF::NcGroup::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const float * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [9/23]

NcGroupAtt netCDF::NcGroup::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const int * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [10/23]

NcGroupAtt netCDF::NcGroup::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const long * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [11/23]

NcGroupAtt netCDF::NcGroup::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const long long * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [12/23]

NcGroupAtt netCDF::NcGroup::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const short * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [13/23]

NcGroupAtt netCDF::NcGroup::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const signed char * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [14/23]

NcGroupAtt netCDF::NcGroup::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const unsigned char * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [15/23]

NcGroupAtt netCDF::NcGroup::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const unsigned int * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [16/23]

NcGroupAtt netCDF::NcGroup::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const unsigned long long * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [17/23]

NcGroupAtt netCDF::NcGroup::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const unsigned short * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [18/23]

NcGroupAtt netCDF::NcGroup::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const void * | dataValues ) const

Creates a new NetCDF group attribute or if already exisiting replaces it. If you are writing a Fill_Value attribute, and will tell the HDF5 layer to use the specified fill value for that variable.

  Although it's possible to create attributes of all types, text and double attributes are adequate for most purposes.

Parameters

  name | Name of attribute.
  type | The attribute type.
  len | The length of the attribute (number of Nctype repeats).
  dataValues | Data Values to put into the new attribute. If the type of data values differs from the netCDF variable type, type conversion will occur. (However, no type conversion is carried out for variables using the user-defined data types: nc_Vlen, nc_Opaque, nc_Compound and nc_Enum.)

Returns
  The NcGroupAtt object for this new netCDF attribute.

## putAtt() [19/23]

NcGroupAtt netCDF::NcGroup::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | unsigned int | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [20/23]

NcGroupAtt netCDF::NcGroup::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | unsigned long long | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [21/23]

NcGroupAtt netCDF::NcGroup::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | unsigned short | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [22/23]

NcGroupAtt netCDF::NcGroup::putAtt | ( | const std::string & | name,
|  | const std::string & | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [23/23]

NcGroupAtt netCDF::NcGroup::putAtt | ( | const std::string & | name,
|  | size_t | len,
|  | const char ** | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## Friends And Related Symbol Documentation

## operator<

bool operator< | ( | const NcGroup & | lhs,
|  | const NcGroup & | rhs )

friend

comparator operator

## operator>

bool operator> | ( | const NcGroup & | lhs,
|  | const NcGroup & | rhs )

friend

comparator operator

## Member Data Documentation

## nullObject

bool netCDF::NcGroup::nullObject

protected

assignment operator

The documentation for this class was generated from the following files:

- ncGroup.h
- ncGroup.cpp